%define upstream_name    Class-Accessor
%define upstream_version 0.34

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 8

Summary:        Automated accessor generation
License:        GPL+ or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
This module automagically generates accessor/mutators for your class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc README Changes
%{perl_vendorlib}/Class
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.340.0-8.mga6
+ Revision: 1023839
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.340.0-7.mga6
+ Revision: 944033
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.340.0-6.mga5
+ Revision: 750306
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.340.0-5.mga5
+ Revision: 683872
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.340.0-4.mga4
+ Revision: 509990
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-3.mga3
+ Revision: 364188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.340.0-2.mga1
+ Revision: 22084
- cleaning spec file
- imported package perl-Class-Accessor

